Subject: Re: Is there some way to suppress Cc email only to stable?

From: Junio C Hamano <[email-masked]>
Date: Mon, 09 Feb 2015 13:46:10 -0800

"Paul E. McKenney" <[email-masked]> writes:

>> > Hence the desire to have a Cc that doesn't actually send any email,
>> > but that is visible in mainline for the benefit of the scripts that
>> > handle the stable workflow.
>> 
>> So a configuration variable that you can set once and forget, e.g.
>> 
>>     [sendemail]
>> 	blacklistedRecipients = [email-masked]
>> 
>> would not cut it, as you would _later_ want to send the e-mail once
>> the commit hits the mainline.  Am I reading you correctly?
>
> This would actually work for me.  Once the patch is accepted into
> mainline, I am done with it.  So I should -never- send email to
> [email-masked], unless I am doing so manually, for example because
> I forgot to add the stable tag to a given commit.  But in that case,
> I would just use mutt to forward the patch to [email-masked],
> and git would not be involved.

OK, thanks, we have a workable design to let us move forward, then.

Gits, any takers?